Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.wst.server.core.model
Class RuntimeLocatorDelegate

    java.lang.Object
      org.eclipse.wst.server.core.model.RuntimeLocatorDelegate

    public abstract class RuntimeLocatorDelegate

extends java.lang.Object

A runtime locator provides the ability to locate or search for additional runtimes of a particular type.

This abstract class is intended to be extended only by clients to extend the `runtimeLocators` extension point.

Since:
  1.0

Nested Class Summary
`static interface` | `RuntimeLocatorDelegate.IRuntimeSearchListener` A callback listener used to report progress.

Constructor Summary
`RuntimeLocatorDelegate()`

Method Summary
`abstract void` | `searchForRuntimes(IPath path, RuntimeLocatorDelegate.IRuntimeSearchListener listener, IProgressMonitor monitor)` Searches for local runtimes.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RuntimeLocatorDelegate

    public RuntimeLocatorDelegate()

Method Detail

### searchForRuntimes

    public abstract void searchForRuntimes(IPath path,
                                           RuntimeLocatorDelegate.IRuntimeSearchListener listener,
                                           IProgressMonitor monitor)

  Searches for local runtimes. It uses the callback listener to report runtimes that are found. The path contains the absolute path of the folder to search in, or `null` to search the entire machine.

  Parameters:
    `path` - the path to search for runtimes in
    `listener` - a listener to report status to
    `monitor` - a progress monitor, or `null` if progress reporting and cancellation are not desired

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD